terraform {
  required_version = ">= 1.8.0"

  required_providers {
    google = {
      source  = "hashicorp/google"
      version = ">= 5.40.0, < 7.0"
    }
    vault = {
      source  = "hashicorp/vault"
      version = ">= 4.5.0, < 6.0"
    }
  }

  backend "s3" {}
}
